> ## Name

> cgGetNumDependentStateAssignmentParameters - get the number of effect parameters on which a state assignment depends

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetNumDependentStateAssignmentParameters( CGstateassignment sa );

> ## Parameters

> sa
>   The state assignment handle.

> ## Return Values

> Returns the number of parameters on which sa depends.

> ## Description

> State assignments in CgFX passes may include references to one or more effect parameters on the right hand side of the state assignment that are used for computing the state assignment's value. cgGetNumDependentStateAssignmentParameters returns the total number of such parameters. cgGetDependentStateAssignmentParameter can then be used to iterate over these parameters.

> This information can be useful for applications that wish to cache the values of state assignments for customized state mangement so that they can determine which state assignments may change as the result of changing a parameter's value.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> ## History

> cgGetNumDependentStateAssignmentParameters was introduced in Cg 1.4.

> ## See Also

> cgGetDependentStateAssignmentParameter, cgGetFirstStateAssignment, cgGetNamedStateAssignment, cgGetNumDependentAnnotationParameters